node {
    stage('Clone') {
        checkout([$class: 'GitSCM',
         branches: [[name: 'eks']], 
         extensions: [[$class: 'SparseCheckoutPaths', 
         sparseCheckoutPaths: [[path: 'manifests']]]], 
         userRemoteConfigs: [[credentialsId: 'traffic-violation-puller', 
         url: 'YOUR_GIT_URL_HERE']]])
    }
    stage('Deploy') {
        withKubeConfig(caCertificate: '',
         clusterName: 'TestCluster',
         contextName: '',
         credentialsId: 'k8s-jenkins-sa-token',
         namespace: 'dm-jenkins',
         serverUrl: 'https://24385DE46323387279A3DBE30844C5BD.gr7.us-west-2.eks.amazonaws.com') {
            sh 'kubectl create -f manifests/app.yml'
        }   
    }
}
